[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [AUCTeX] Can't load AUCTeX 11.86 from ELPA in Windows 7 at Emacs' st

From: Tassilo Horn
Subject: Re: [AUCTeX] Can't load AUCTeX 11.86 from ELPA in Windows 7 at Emacs' start time
Date: Thu, 01 Nov 2012 20:08:58 +0100
User-agent: Gnus/5.130006 (Ma Gnus v0.6) Emacs/24.2.50 (gnu/linux)

"address@hidden" <address@hidden> writes:


> I have Emacs 24 installed on Windows 7 and AUCTeX 11.86 from ELPA, via
> 'M-x package-install auctex'.
> The environment almost works, I need to set up the paths to (Mik)TeX
> binaries, but I can already edit and compile *.tex files easily.
> The only problem I seem to have is that I can't load the package in
> Emacs.  I could use it in the emacs instance where I installed the
> package via ELPA because, AFAIU, it got loaded after compilation, but
> not in subsequent instances.
> If I understand it correctly, I should get "auctex.el" to be loaded at
> initialization time, but neither it nor the file 'preview latex" can
> be found on my disk, in particular not in the ~/.emacs.d directory,
> where ELPA put the AUCTeX directory, or the site-lisp directory inside
> emacs' installlation folder.

Installing AUCTeX 11.86 via ELPA should have created a directory
~/.emacs.d/elpa/auctex-11.86/.  Indeed, that doesn't contain an
auctex.el file but these:

--8<---------------cut here---------------start------------->8---
thinkpad% ls auctex-11.86 
ChangeLog             context.el          prv-emacs.el   tex-jp.el
README                context.elc         prv-emacs.elc  tex-jp.elc
auctex-autoloads.el   dir                 style          tex-mik.el
auctex-autoloads.el~  doc                 tex-bar.el     tex-mik.elc
auctex-pkg.el         font-latex.el       tex-bar.elc    tex-site.el
auctex-pkg.elc        font-latex.elc      tex-buf.el     tex-site.elc           images              tex-buf.elc    tex-style.el         latex               tex-fold.el    tex-style.elc         latex.el            tex-fold.elc   tex.el
bib-cite.el           latex.elc           tex-font.el    tex.elc
bib-cite.elc          multi-prompt.el     tex-font.elc   texmathp.el
context-en.el         multi-prompt.elc    tex-fptex.el   texmathp.elc
context-en.elc  tex-fptex.elc  toolbar-x.el
context-nl.el         preview.el          tex-info.el    toolbar-x.elc
context-nl.elc        preview.elc         tex-info.elc
--8<---------------cut here---------------end--------------->8---

Do you have something like

     (load "auctex.el" nil t t)
     (load "preview-latex.el" nil t t)

in your ~/.emacs?  When you install from ELPA, you shouldn't have those.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]